import { GistPopoverDirective } from '../gist-popover/directives/gist-popover.directive';
import { GistPopoverService } from '../gist-popover/services/gist-popover.service';
import { GistPopoverTargetComponent } from './components/popover-target/popover-target.component';
import { GistPopoverDisplayerComponent } from './components/popover-displayer/popover-displayer.component';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

@NgModule( {
  imports: [
    CommonModule
  ],
  declarations: [
    GistPopoverDisplayerComponent,
    GistPopoverTargetComponent,
    GistPopoverDirective
  ],
  providers: [
    GistPopoverService
  ],
  exports: [
    GistPopoverDirective,
    GistPopoverTargetComponent
  ]
} )
export class GistPopoverModule { }
